Bug 114535 - rpc.mountd killed by remote mount request
rpc.mountd killed by remote mount request
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks: 107562
  Show dependency treegraph
 
Reported: 2004-01-29 04:14 EST by Karsten Hopp
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 03:56:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch from Chip Salzenberg (2.02 KB, patch)
2004-01-29 08:53 EST, Karsten Hopp
no flags Details | Diff

  None (edit)
Description Karsten Hopp 2004-01-29 04:14:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.6) Gecko/20040115

Description of problem:
rpc.mountd can be reproducably killed on our server by trying to mount
a directory from it (no extra mount options given on commandline).

There are lots of 'udp v4 hw csum failure' kernel messages, which might 
indicate a hardware problem, but I'm not sure about that.



Version-Release number of selected component (if applicable):
nfs-utils-1.0.5-3

How reproducible:
Always

Steps to Reproduce:
1. just try to mount a directory from the server
2. no extra commandline parameters given to the mount command
3. 
    

Actual Results:  mount: RPC: Unable to receive; errno = Connection refused

Expected Results:  NFS mount succeeds

Additional info:
The name of workstation were I try to mount the NFS directory isn't
resolvable by DNs, if that matters.
Comment 3 Karsten Hopp 2004-01-29 06:14:48 EST
That's quite bad...
When I use a DNS resolvable IP on the same workstation, the mount
command works and rpc.mountd doesn't segfault.
Comment 4 Karsten Hopp 2004-01-29 08:53:15 EST
Created attachment 97332 [details]
upstream patch from Chip Salzenberg

2003-09-09  Chip Salzenberg
* support/export/hostname.c (get_reliable_hostbyaddr): Fix crash
on invalid reverse DNS.
Comment 6 Mark J. Cox (Product Security) 2004-03-03 09:53:25 EST
moved to RHEL3 as FC1 shipped with 1.0.6-1 in the end
Comment 7 Mark J. Cox (Product Security) 2004-03-03 11:51:56 EST
This is CAN-2004-0154, errata in progress.
Comment 8 Mark J. Cox (Product Security) 2004-03-11 03:56:29 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-072.html

Note You need to log in before you can comment on or make changes to this bug.